# Class JmolApp

java.lang.Object
org.openscience.jmol.app.JmolApp

All Implemented Interfaces:
  `JmolAppAPI`

Direct Known Subclasses:
  `Nmr`

public class JmolApp extends Object implements JmolAppAPI

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`autoAnimationDelay`
`boolean`
`haveBorder`
`boolean`
`haveDisplay`
`boolean`
`haveJavaConsole`
`HistoryFile`
`historyFile`
`Map<String,Object>`
`info`
`boolean`
`isDataOnly`
`boolean`
`isKiosk`
`boolean`
`isPrintOnly`
`boolean`
`isSilent`
`Point`
`jmolPosition`
`HistoryFile`
`pluginFile`
`int`
`port`
The data model.
`boolean`
`splashEnabled`
`int`
`startupHeight`
`int`
`startupWidth`
`File`
`userPropsFile`

## Constructor Summary

Constructors
Constructor
Description
`JmolApp()`
`JmolApp(String[] args)`
standard Jmol application entry point

## Method Summary

Modifier and Type
Method
Description
`void`
`addHistoryWindowDimInfo(String name, Component window, Dimension inner)`
`void`
`addHistoryWindowInfo(String name, Component window, Point border)`
`Point`
`getHistoryWindowPosition(String name)`
`Dimension`
`getHistoryWindowSize(String name)`
`void`
`parseCommandLine(String[] args)`
`void`
`startViewer(JmolViewer vwr, SplashInterface splash, boolean isJmolData)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### port

public int port
The data model.

### startupWidth

public int startupWidth

### startupHeight

public int startupHeight

### haveBorder

public boolean haveBorder

### userPropsFile

public File userPropsFile

### historyFile

public HistoryFile historyFile

### pluginFile

public HistoryFile pluginFile

### haveJavaConsole

public boolean haveJavaConsole

### haveDisplay

public boolean haveDisplay

### splashEnabled

public boolean splashEnabled

### isDataOnly

public boolean isDataOnly

### isKiosk

public boolean isKiosk

### isPrintOnly

public boolean isPrintOnly

### isSilent

public boolean isSilent

### info

public Map<String,Object> info

### jmolPosition

public Point jmolPosition

### autoAnimationDelay

public float autoAnimationDelay

## Constructor Details

### JmolApp

public JmolApp()

### JmolApp

public JmolApp(String[] args)
standard Jmol application entry point

Parameters:
  `args` -

## Method Details

### parseCommandLine

public void parseCommandLine(String[] args)

### startViewer

public void startViewer(JmolViewer vwr, SplashInterface splash, boolean isJmolData)

### addHistoryWindowInfo

public void addHistoryWindowInfo(String name, Component window, Point border)

Specified by:
  `addHistoryWindowInfo` in interface `JmolAppAPI`

### addHistoryWindowDimInfo

public void addHistoryWindowDimInfo(String name, Component window, Dimension inner)

Specified by:
  `addHistoryWindowDimInfo` in interface `JmolAppAPI`

### getHistoryWindowPosition

public Point getHistoryWindowPosition(String name)

Specified by:
  `getHistoryWindowPosition` in interface `JmolAppAPI`

### getHistoryWindowSize

public Dimension getHistoryWindowSize(String name)

Specified by:
  `getHistoryWindowSize` in interface `JmolAppAPI`